## 389-ds-base 1.2.10.4

=== debian/changelog ===
389-ds-base (1.2.10.4-0ubuntu3) precise; urgency=low

  * postinst, init: Drop the error handler, and make it non-fatal if
    there are no configured instances.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 20 Mar 2012 18:12:50 +0200

389-ds-base (1.2.10.4-0ubuntu2) precise; urgency=low

  * Merge from debian git.
    - Add 389-ds metapackage (LP: #958599).

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 20 Mar 2012 16:45:44 +0200

389-ds-base (1.2.10.4-0ubuntu1) precise; urgency=low

  * Merge from debian git.
    - rules, postinst:
      Add an error handler function for dh_installinit, so
      that clean installs don't fail due to missing configuration.
      (LP: #946815)
    - postinst: Run the update tool.
    - fix the initscript to handle multiple instances and detach ns-slapd
      so postinst doesn't hang.
  * New upstream bugfix release.
    + #304 - Fix kernel version checking in dsktune
    + #306 - void function cannot return value
    + #305 - Certain CMP operations hang or cause ns-slapd to crash
    + handle null smods
    + memleaks in mep_parse_config_entry, normalize_mods2bvals

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 15 Mar 2012 14:21:24 +0200

389-ds-base (1.2.10.2-0ubuntu2) precise; urgency=low

  * Merge from debian git.
    - Really include the initscript in the package.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Sun, 04 Mar 2012 07:45:25 +0200

389-ds-base (1.2.10.2-0ubuntu1) precise; urgency=low

  * Pull from unreleased debian branch. (LP: #27463)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 01 Mar 2012 23:54:24 +0200

389-ds-base (1.2.10.4-1) UNRELEASED; urgency=low

  * New upstream release.
  * watch: Fix the url.
  * patches/remove_license_prompt: Dropped, included upstream.
  * patches/default_user: Refreshed.
  * control: Change the VCS header to point to the git repository.
  * control: Rename last remnants of Fedora to 389.
  * changelog, control: Be consistent with the naming; renamed the source
    to just '389-ds-base', which matches upstream tarball naming.
  * control: Wrap Depends.
  * compat, control: Bump compat to 9, and debhelper build-dep to (>= 9).
  * rules: Switch to dh.
  * Move dirsrv.lintian to dirsrv.lintian-overrides, adjust dirsrv.install.
  * *.dirs: Clean up.
  * control: Build-depend on dh-autoreconf, drop duplicate bdeps.
  * Fold dirsrv-tools into the main package.
  * Build against libldap2-dev (>= 2.4.28).
  * Rename binary package to 389-ds-base.
  * -dev.install: Install the pkgconfig file.
  * Add format-security.diff to fix FTBFS with current hardening flags.
  * rules: Enable PIE hardening.
  * Add a default file, currently sets LD_BIND_NOW=1.
  * control: 'dbgen' uses old perl libs, add libperl4-corelibs-perl
    dependency to 389-ds-base.
  * rules: Add --fail-missing for dh_install, remove files not needed
    and make sure to install the rest.
  * rules, control: Fix the installation name of ds-logpipe.py, add
    python dependency to 389-ds-base..
  * libns-dshttpd is internal to the server, ship it in 389-ds-base.
  * Rename libdirsrv{-dev,0} -> 389-ds-base-{dev,libs}, includes only
    libslapd and headers for external plugin development.
  * control: Breaks/Replaces old libdirsrv-dev/libdirsrv0/dirsrv.
  * Drop hyphen_used_as_minus, applied upstream.
  * copyright: Use DEP5 format.
  * Cherry-pick upstream commit ee320163c6 to get rid of unnecessary
    and non-free MIB's from the tree, and build a dfsg compliant tarball.
  * lintian-overrides: Update, create one for -libs.
  * Fix the initscript to create the lockdir, and refactor code into separate
    functions.
  * Drop obsolete entries from copyright, and make it lintian clean.
  * debian/po: Refer to the correct file after rename.
  * control: Bump Standards-Version to 3.9.3, no changes.
  * postinst: Drop unused 'lastversion'.
  * patches: Add DEP3 compliant headers.
  * postinst: Run the update tool.
  * dirsrv.init:
    - Make the start and stop functions much simpler and LSB compliant
    - Fix starting multiple instances
    - Use '-b' for start-stop-daemon, since ns-slapd doesn't detach properly
  * control: Add 389-ds metapackage.
  * init: Make it non-fatal if there are no configured instances.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 30 Sep 2011 01:19:20 +0300

389-directory-server (1.2.6.1-5) unstable; urgency=low

  * Removed db_stop from dirsrv.postinst
  * Fix short description in libdirsrv0-dbg

 -- Michele Baldessari <michele@acksyn.org>  Wed, 20 Oct 2010 20:24:20 +0200

389-directory-server (1.2.6.1-4) unstable; urgency=low

  * Make libicu dep dependent on dpkg-vendor

 -- Michele Baldessari <michele@acksyn.org>  Mon, 18 Oct 2010 21:21:52 +0200

389-directory-server (1.2.6.1-3) unstable; urgency=low

  * Remove dirsrv user and group in postrm
  * Clean up postrm and postinst

 -- Michele Baldessari <michele@acksyn.org>  Sun, 17 Oct 2010 21:54:08 +0200

389-directory-server (1.2.6.1-2) unstable; urgency=low

  * Fix QUILT_STAMPFN

 -- Michele Baldessari <michele@acksyn.org>  Sun, 17 Oct 2010 15:03:34 +0200

389-directory-server (1.2.6.1-1) unstable; urgency=low

  * New upstream

 -- Michele Baldessari <michele@acksyn.org>  Sat, 16 Oct 2010 23:08:09 +0200

389-directory-server (1.2.6-2) unstable; urgency=low

  * Update my email address

 -- Michele Baldessari <michele@acksyn.org>  Sat, 16 Oct 2010 22:34:19 +0200

389-directory-server (1.2.6-1) unstable; urgency=low

  * New upstream
  * s/Fedora/389/g to clean up the branding
  * Remove automatic configuration (breaks too often with every update)
  * Remove dirsrv.config translation, no questions are asked anymore 
  * Fix old changelog versions with proper ~ on rc versions
  * Update policy to 3.9.1
  * Improve README.Debian
  * Depend on libicu44
  * Remove /var/run/dirsrv from the postinst scripts (managed by init script)

 -- Michele Baldessari <michele@pupazzo.org>  Sat, 04 Sep 2010 11:58:21 +0200

389-directory-server (1.2.6~rc7-1) unstable; urgency=low


