=== debian/control ===
Source: 389-ds-base
Section: net
Priority: optional
Maintainer: Ubuntu 389ds <ubuntu-389-directory-server@lists.launchpad.net>
XSBC-Original-Maintainer: Debian 389ds Team <pkg-fedora-ds-maintainers@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@ubuntu.com>
Build-Depends: quilt, debhelper (>= 9), dpkg-dev (>= 1.13.19),
 dh-autoreconf,
 libnspr4-dev,
 libnss3-dev,
 libsasl2-dev,
 libsvrcore-dev,
 libldap2-dev (>= 2.4.28),
 libicu-dev,
 libsnmp-dev,
 libdb4.8-dev,
 zlib1g-dev,
 libbz2-dev,
 libssl-dev,
 libpam0g-dev,
 pkg-config,
 debconf-utils,
 libperl-dev,
 libkrb5-dev,
 libpcre3-dev,
 po-debconf,
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-fedora-ds/389-ds-base.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fedora-ds/389-ds-base.git
Homepage: http://directory.fedoraproject.org

Package: 389-ds
Architecture: all
Depends: ${misc:Depends},
 389-ds-base,
 389-admin,
 389-admin-console,
 389-console,
 389-ds-console,
 389-dsgw,
Description: 389 Directory Server Suite
 The 389 Directory Server, Administration Server, and Console Suite provide
 the LDAPv3 server, the httpd daemon used to administer the server, and the
 console GUI application used for server and user/group administration.

Package: 389-ds-base-libs
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends},
 libnss3-1d,
 libsvrcore0,
 libsnmp15,
 libdb4.8,
Breaks: libdirsrv0
Replaces: libdirsrv0
Description: 389 Directory Server libraries -- runtime
 The 389 Directory Server is a robust, scalable open-source server
 designed to manage large directories of users and resources. It is based
 on an open-systems server protocol called the Lightweight Directory
 Access Protocol (LDAP).
 .
 This package contains core libraries for the 389 Directory Server.

Package: 389-ds-base-libs-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 389-ds-base-libs (= ${binary:Version}),
Description: 389 Directory Server libraries -- debugging symbols
 The 389 Directory Server is a robust, scalable open-source server
 designed to manage large directories of users and resources. It is based
 on an open-systems server protocol called the Lightweight Directory
 Access Protocol (LDAP).
 .
 This package provides detached debugging information for the 389
 Directory Server libraries. It is useful primarily to permit better 
 backtraces and crash dump analysis after problems with the libraries. 
 GDB will find this debug information automatically.

Package: 389-ds-base-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 389-ds-base-libs (= ${binary:Version}),
 libnss3-1d,
 libsvrcore0,
 libsnmp15,
 libdb4.8,
Breaks: libdirsrv-dev
Replaces: libdirsrv-dev
Description: 389 Directory Server libraries -- development files
 The 389 Directory Server is a robust, scalable open-source server
 designed to manage large directories of users and resources. It is based
 on an open-systems server protocol called the Lightweight Directory
 Access Protocol (LDAP).
 .
 This package contains development headers for the core libraries
 of the 389 Directory Server, useful for developing plugins without
 having to install the server itself.

Package: 389-ds-base
Architecture: any
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: ${misc:Depends}, ${shlibs:Depends},
 389-ds-base-libs (= ${binary:Version}),
 libnss3-1d,
 libsvrcore0,
 libsnmp15,
 libdb4.8,
 adduser,
 libmozilla-ldap-perl,
 libsasl2-modules-gssapi-mit,
 libperl4-corelibs-perl | perl (<< 5.12.3-7),
 python,
Conflicts:
 slapd,
Breaks:
 dirsrv,
 libdirsrv0,
 libdirsrv-dev,
Replaces:
 dirsrv,
 libdirsrv0,
 libdirsrv-dev,
Description: 389 Directory Server -- base package
 The 389 Directory Server is a robust, scalable open-source server
 designed to manage large directories of users and resources. It is based
 on an open-systems server protocol called the Lightweight Directory
 Access Protocol (LDAP).
 .
 Amongst other features, it supports 4-Way multi-master replication, 
 Active Directory user and group synchronization, great scalability and
 on-line, zero downtime, LDAP-based update of schema, configuration,
 management and in-tree Access Control Information (ACIs).

Package: 389-ds-base-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 389-ds-base (= ${binary:Version}),
Description: 389 Directory Server -- debugging symbols
 The 389 Directory Server is a robust, scalable open-source server
 designed to manage large directories of users and resources. It is based
 on an open-systems server protocol called the Lightweight Directory
 Access Protocol (LDAP).
 .
 This package provides detached debugging information for the 389
 Directory Server. It is useful primarily to permit better backtraces 
 and crash dump analysis after problems with the libraries. 
 GDB will find this debug information automatically.
