=== debian/watch ===
version=3
http://directory.fedoraproject.org/sources/389-ds-base-(.*).tar.bz2
