## 389-ds-base 1.2.11.15

=== debian/changelog ===
389-ds-base (1.2.11.15-1) unstable; urgency=low

  * New upstream release.
  * Add fix-cve-2012-4450.diff. (Closes: #688942)
  * dirsrv.init: Fix stop() to remove the pidfile only when the process
    is finished. (Closes: #689389)
  * copyright: Update the source url.
  * control: Drop quilt from build-depends, since using 3.0 (quilt)
  * lintian-overrides: Add an override for hardening-no-fortify-
    functions, since it's a false positive in this case.
  * control: Drop dpkg-dev from build-depends, no need to specify it
    directly.
  * copyright: Add myself as a copyright holder for debian/*.
  * 389-ds-base.prerm: Add 'set -e'.
  * rules: drop DEB_HOST_MULTIARCH, dh9 handles it.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 03 Oct 2012 19:33:52 +0300

389-ds-base (1.2.11.7-5) unstable; urgency=low

  * control: Drop debconf-utils and po-debconf from build-depends.
  * control: Add libnetaddr-ip-perl and libsocket-getaddrinfo-perl to
    389-ds-base Depends for ipv6 support. (Closes: #682847)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 30 Jul 2012 13:12:23 +0200

389-ds-base (1.2.11.7-4) unstable; urgency=low

  * debian/po: Remove, leftover from the template purge. (Closes: #681543)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 19 Jul 2012 23:12:01 +0300

389-ds-base (1.2.11.7-3) unstable; urgency=low

  * 389-ds-base.config: Removed, the debconf template is no more.
    (Closes: #680351)
  * control: Remove duplicate 'the' from the 389-ds description.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 11 Jul 2012 11:59:36 +0300

389-ds-base (1.2.11.7-2) unstable; urgency=low

  * control: Stop hardcoding libs to binary depends. (Closes: #679790)
  * control: Add libnspr4-dev and libldap2-dev to 389-ds-base-dev
    Depends. (Closes: #679742)
  * l10n review (Closes: #679870) :
    - Drop the debconf template, and rewrap README.Debian.
    - control: Update the descriptions

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 03 Jul 2012 17:58:20 +0300

389-ds-base (1.2.11.7-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.
  * watch: Fix the url.
  * patches/remove_license_prompt: Dropped, included upstream.
  * patches/default_user: Refreshed.
  * control: Change the VCS header to point to the git repository.
  * control: Rename last remnants of Fedora to 389.
  * changelog, control: Be consistent with the naming; renamed the source
    to just '389-ds-base', which matches upstream tarball naming.
  * control: Wrap Depends.
  * compat, control: Bump compat to 9, and debhelper build-dep to (>= 9).
  * rules: Switch to dh.
  * Move dirsrv.lintian to dirsrv.lintian-overrides, adjust dirsrv.install.
  * *.dirs: Clean up.
  * control: Build-depend on dh-autoreconf, drop duplicate bdeps.
  * Fold dirsrv-tools into the main package.
  * Build against libldap2-dev (>= 2.4.28).
  * Rename binary package to 389-ds-base.
  * -dev.install: Install the pkgconfig file.
  * rules: Enable PIE hardening.
  * Add a default file, currently sets LD_BIND_NOW=1.
  * control: 'dbgen' uses old perl libs, add libperl4-corelibs-perl
    dependency to 389-ds-base.
  * rules: Add --fail-missing for dh_install, remove files not needed
    and make sure to install the rest.
  * rules, control: Fix the installation name of ds-logpipe.py, add
    python dependency to 389-ds-base..
  * libns-dshttpd is internal to the server, ship it in 389-ds-base.
  * Rename libdirsrv{-dev,0} -> 389-ds-base-{dev,libs}, includes only
    libslapd and headers for external plugin development.
  * control: Breaks/Replaces old libdirsrv-dev/libdirsrv0/dirsrv.
  * Drop hyphen_used_as_minus, applied upstream.
  * copyright: Use DEP5 format.
  * Cherry-pick upstream commit ee320163c6 to get rid of unnecessary
    and non-free MIB's from the tree, and build a dfsg compliant tarball.
  * lintian-overrides: Update, create one for -libs.
  * Fix the initscript to create the lockdir, and refactor code into separate
    functions.
  * Drop obsolete entries from copyright, and make it lintian clean.
  * debian/po: Refer to the correct file after rename.
  * control: Bump Standards-Version to 3.9.3, no changes.
  * postinst: Drop unused 'lastversion'.
  * patches: Add DEP3 compliant headers.
  * rules, postinst: Add an error handler function for dh_installinit, so
    that clean installs don't fail due to missing configuration.
  * postinst: Run the update tool.
  * dirsrv.init:
    - Make the start and stop functions much simpler and LSB compliant
    - Fix starting multiple instances
    - Use '-b' for start-stop-daemon, since ns-slapd doesn't detach properly
  * control: Add 389-ds metapackage.
  * control: Change libdb4.8-dev build-depends to libdb-dev, since this version
    supports db5.x.
  * 389-ds-base.prerm: Add prerm script for removing installed instances on
    purge.

  [ Krzysztof Klimonda ]
  * dirsrv.init:
    - return 0 code if there are no instances configured and tweak message
      so it doesn't indicate a failure.

 -- Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>  Tue, 27 Mar 2012 14:26:16 +0200
