=== debian/control ===
Source: 389-ds-base
Section: net
Priority: optional
Maintainer: Debian 389ds Team <pkg-fedora-ds-maintainers@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@ubuntu.com>,
	   Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 libnspr4-dev,
 libnss3-dev,
 libsasl2-dev,
 libsvrcore-dev,
 libldap2-dev (>= 2.4.28),
 libicu-dev,
 libsnmp-dev,
 libdb-dev,
 zlib1g-dev,
 libbz2-dev,
 libssl-dev,
 libpam0g-dev,
 pkg-config,
 libperl-dev,
 libkrb5-dev,
 libpcre3-dev,
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-fedora-ds/389-ds-base.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fedora-ds/389-ds-base.git
Homepage: http://directory.fedoraproject.org

Package: 389-ds
Architecture: all
Depends: ${misc:Depends},
 389-ds-base,
 389-admin,
 389-admin-console,
 389-console,
 389-ds-console,
 389-dsgw,
Description: 389 Directory Server suite - metapackage
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This is a metapackage depending on the LDAPv3 server, the HTTP
 daemon used for server administration, and the graphical console used
 for server and user/group administration.

Package: 389-ds-base-libs
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libdirsrv0
Replaces: libdirsrv0
Description: 389 Directory Server suite - libraries
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This package contains core libraries for the 389 Directory Server.

Package: 389-ds-base-libs-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
 389-ds-base-libs (= ${binary:Version}),
Description: 389 Directory Server suite - library debugging symbols
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This package provides detached debugging information for the 389
 Directory Server libraries. It is useful primarily to permit better 
 backtraces and crash dump analysis after problems with the libraries. 
 GDB will find this debug information automatically.

Package: 389-ds-base-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 389-ds-base-libs (= ${binary:Version}),
 libldap2-dev,
 libnspr4-dev,
Breaks: libdirsrv-dev
Replaces: libdirsrv-dev
Description: 389 Directory Server suite - development files
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This package contains development headers for the core libraries
 of the 389 Directory Server, useful for developing plugins without
 having to install the server itself.

Package: 389-ds-base
Architecture: any
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: ${misc:Depends}, ${shlibs:Depends},
 389-ds-base-libs (= ${binary:Version}),
 adduser,
 libmozilla-ldap-perl,
 libnetaddr-ip-perl,
 libsasl2-modules-gssapi-mit,
 libperl4-corelibs-perl | perl (<< 5.12.3-7),
 libsocket-getaddrinfo-perl,
 python,
Conflicts:
 slapd,
Breaks:
 dirsrv,
 libdirsrv0,
 libdirsrv-dev,
Replaces:
 dirsrv,
 libdirsrv0,
 libdirsrv-dev,
Description: 389 Directory Server suite - server
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 Its key features include:
  * four-way multi-master replication;
  * great scalability;
  * extensive documentation;
  * Active Directory user and group synchronization;
  * secure authentication and transport;
  * support for LDAPv3;
  * graphical management console;
  * on-line, zero downtime update of schema, configuration, and
    in-tree Access Control Information.

Package: 389-ds-base-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
 389-ds-base (= ${binary:Version}),
Description: 389 Directory Server suite - server debugging symbols
 Based on the Lightweight Directory Access Protocol (LDAP), the 389
 Directory Server is designed to manage large directories of users and
 resources robustly and scalably.
 .
 This package provides detached debugging information for the 389
 Directory Server. It is useful primarily to permit better backtraces 
 and crash dump analysis after problems with the libraries. 
 GDB will find this debug information automatically.
