## 389-ds-base 1.3.0.2

=== debian/changelog ===
389-ds-base (1.3.0.2-0ubuntu2) raring; urgency=low

  * debian/*: Fix time stamps due to clock skew (FTBFS).

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 06 Feb 2013 18:06:31 +0200

389-ds-base (1.3.0.2-0ubuntu1) raring; urgency=low

  * Sync from unreleased debian git.
    - new upstream release

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 06 Mar 2013 13:24:24 +0200

389-ds-base (1.3.0.2-1) UNRELEASED; urgency=low

  * New upstream release.
  * control: Bump the policy to 3.9.4, no changes.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 11 Dec 2012 14:34:01 +0200

389-ds-base (1.2.11.17-1) UNRELEASED; urgency=low

  * New upstream release.
  * watch: Add a comment about the upstream git tree.
  * fix-cve-2012-4450.diff: Remove, upstream.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Sat, 01 Dec 2012 14:22:13 +0200

389-ds-base (1.2.10.4-0ubuntu4) quantal; urgency=low

  * Switch to db5.1:
   - control: switch dependancies from libdb4.8[-dev] to libdb[-dev]
   - Correct comparisons for >v4.4 for DB_ENV_SET_TAS_SPINS.
   - Correct comparisons for >v4.4 for DB_LOCK_STAT.

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 15 Jun 2012 11:56:28 +0100
