=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: 389-ds-base
 Section: net
 Priority: optional
-Maintainer: Debian 389ds Team <pkg-fedora-ds-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu 389ds <ubuntu-389-directory-server@lists.launchpad.net>
+XSBC-Original-Maintainer: Debian 389ds Team <pkg-fedora-ds-maintainers@lists.alioth.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@ubuntu.com>,
 	   Krzysztof Klimonda <kklimonda@syntaxhighlighted.com>
 Build-Depends: debhelper (>= 9),
@@ -22,7 +23,7 @@
  libperl-dev,
  libkrb5-dev,
  libpcre3-dev,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/pkg-fedora-ds/389-ds-base.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fedora-ds/389-ds-base.git
 Homepage: http://directory.fedoraproject.org
