=== debian/watch ===
#git=git://git.fedorahosted.org/389/ds.git
version=3
http://directory.fedoraproject.org/wiki/Source .*/389-ds-base-(.*).tar.bz2
