## 389-ds-base 1.3.0.3

=== debian/changelog ===
389-ds-base (1.3.0.3-1ubuntu1) raring; urgency=low

  * Sync from Debian unstable.
    - cve fix

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 12 Mar 2013 09:53:20 +0200

389-ds-base (1.3.0.3-1) unstable; urgency=low

  * New upstream release.
  * control: Bump the policy to 3.9.4, no changes.
  * fix-CVE-2013-0312.diff: Patch to fix handling LDAPv3 control data.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 11 Mar 2013 14:23:20 +0200
