## 389-ds-base 1.3.1.9

=== debian/changelog ===
389-ds-base (1.3.1.9-0ubuntu2) saucy; urgency=low

  * Merge from debian git
    - admin_scripts.diff: Add patch from upstream #47511 to fix bashisms.
    - control: Add ldap-utils to -base depends.
    - rules, rename-online-scripts.diff: Some scripts with .pl suffix are
      meant for an online server, so instead of overwriting the offline
      scripts use -online suffix.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 10 Oct 2013 09:49:15 +0300

389-ds-base (1.3.1.9-0ubuntu1) saucy; urgency=low

  * Sync from unreleased debian git.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 26 Sep 2013 21:55:25 +0300

389-ds-base (1.3.1.9-1) UNRELEASED; urgency=low

  * New upstream release. (Closes: #718325)
  * Drop the cve fix, upstream.
  * rules: Add new scripts to rename.
  * fix-sasl-path.diff: Use a triplet path to find libsasl2. (LP:
    #1088822)
  * admin_scripts.diff: Add patch from upstream #47511 to fix bashisms.
  * control: Add ldap-utils to -base depends.
  * rules, rename-online-scripts.diff: Some scripts with .pl suffix are
    meant for an online server, so instead of overwriting the offline
    scripts use -online suffix.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 05 Aug 2013 10:54:03 +0300

389-ds-base (1.3.1.7-0ubuntu1) saucy; urgency=low

  * Sync from unreleased debian git.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 30 Aug 2013 00:31:55 +0300
