=== debian/control ===
--- 
+++ 
@@ -101,6 +101,7 @@
 Depends: ${misc:Depends}, ${shlibs:Depends},
  389-ds-base-libs (= ${binary:Version}),
  adduser,
+ ldap-utils,
  libmozilla-ldap-perl,
  libnetaddr-ip-perl,
  libsasl2-modules-gssapi-mit,
