=== debian/rules ===
--- 
+++ 
@@ -15,25 +15,39 @@
 	bin/ds-logpipe.py \
 	bin/logconv.pl \
 	bin/repl-monitor.pl \
-	bin/dbscan-bin \
-	bin/dsktune-bin \
-	bin/infadd-bin \
-	bin/ldclt-bin \
-	bin/ldif-bin \
-	bin/migratecred-bin \
-	bin/mmldif-bin \
-	bin/pwdhash-bin \
-	bin/rsearch-bin	\
-	sbin/ldap-agent-bin \
 	sbin/migrate-ds.pl \
 	sbin/remove-ds.pl \
 	sbin/setup-ds.pl \
+	sbin/cleanallruv.pl \
+	sbin/fixup-linkedattrs.pl \
+	sbin/fixup-memberof.pl \
+	sbin/ns-accountstatus.pl \
+	sbin/ns-activate.pl \
+	sbin/ns-inactivate.pl \
+	sbin/ns-newpwpolicy.pl \
+	sbin/schema-reload.pl \
+	sbin/syntax-validate.pl \
+	sbin/usn-tombstone-cleanup.pl \
+	sbin/verify-db.pl \
 	share/man/man1/dbgen.pl.1 \
 	share/man/man1/ds-logpipe.py.1 \
 	share/man/man1/logconv.pl.1 \
 	share/man/man8/migrate-ds.pl.8 \
 	share/man/man8/setup-ds.pl.8 \
 	share/man/man8/remove-ds.pl.8
+
+# scripts for handling online servers
+REALFILE_ONLINE = \
+	sbin/bak2db.pl \
+	sbin/db2bak.pl \
+	sbin/db2index.pl \
+	sbin/db2ldif.pl \
+	sbin/ldif2db.pl \
+	share/man/man8/bak2db.pl.8 \
+	share/man/man8/db2bak.pl.8 \
+	share/man/man8/db2index.pl.8 \
+	share/man/man8/db2ldif.pl.8 \
+	share/man/man8/ldif2db.pl.8
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -44,7 +58,12 @@
 	# lets do the renaming here afterall, instead of in 389-ds-base.install
 	for file in $(REALFILE); do mv -f $(CURDIR)/debian/tmp/usr/$$file \
 		$(CURDIR)/debian/tmp/usr/`echo $$file | \
-		sed -s 's/\-bin//;s/\.pl//;s/\.py//'`; \
+		sed -s 's/\.pl//;s/\.py//'`; \
+		done
+	# use -online suffix so that they won't overwrite the offline scripts
+	for file in $(REALFILE_ONLINE); do mv -f $(CURDIR)/debian/tmp/usr/$$file \
+		$(CURDIR)/debian/tmp/usr/`echo $$file | \
+		sed -s 's/\.pl/-online/'`; \
 		done
 	# purge .la files
 	find $(CURDIR)/debian/tmp -name "*.la" -type f -exec rm -f "{}" \;
