## 389-ds-base 1.3.2.16

=== debian/changelog ===
389-ds-base (1.3.2.16-0ubuntu1) trusty; urgency=medium

  * Sync with unreleased debian git.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 09 Apr 2014 00:40:55 +0300

389-ds-base (1.3.2.16-1) UNRELEASED; urgency=medium

  * New upstream release.
    - CVE-2014-0132 (Closes: #741600)
  * admin_scripts.diff: Updated to fix more bashisms.
  * control: Build only on linux.
  * watch: Update the url.
  * Install failedbinds.py and logregex.py scripts.
  * fix-version-typo.diff: Tarball didn't get the version right.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 12 Feb 2014 09:47:35 +0200

389-ds-base (1.3.2.11-0ubuntu1) trusty; urgency=medium

  * Merge from unreleased debian git.
    - CVE fixes

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 19 Feb 2014 01:43:25 +0200

389-ds-base (1.3.2.9-1) unstable; urgency=low

  * New upstream release.
    - fixes CVE-2013-0336 (Closes: #704077)
    - fixes CVE-2013-1897 (Closes: #704421)
    - fixes CVE-2013-2219 (Closes: #718325)
    - fixes CVE-2013-4283 (Closes: #721222)
    - fixes CVE-2013-4485 (Closes: #730115)
  * Drop fix-CVE-2013-0312.diff, upstream.
  * rules: Add new scripts to rename.
  * fix-sasl-path.diff: Use a triplet path to find libsasl2. (LP:
    #1088822)
  * admin_scripts.diff: Add patch from upstream #47511 to fix bashisms.
  * control: Add ldap-utils to -base depends.
  * rules, rename-online-scripts.diff: Some scripts with .pl suffix are
    meant for an online server, so instead of overwriting the offline
    scripts use -online suffix.
  * rules: Enable parallel build, but limit the jobs to 1 for
    dh_auto_install.
  * control: Bump policy to 3.9.5, no changes.
  * rules: Add get-orig-source target.
  * lintian-overrides: Drop obsolete entries, add comments for the rest.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 03 Feb 2014 11:08:50 +0200
