=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  libperl-dev,
  libkrb5-dev,
  libpcre3-dev,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/pkg-fedora-ds/389-ds-base.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fedora-ds/389-ds-base.git
 Homepage: http://directory.fedoraproject.org
@@ -48,7 +48,7 @@
 
 Package: 389-ds-base-libs
 Section: libs
-Architecture: any
+Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: libdirsrv0
@@ -63,7 +63,7 @@
 Package: 389-ds-base-libs-dbg
 Section: debug
 Priority: extra
-Architecture: any
+Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
  389-ds-base-libs (= ${binary:Version}),
@@ -79,7 +79,7 @@
 
 Package: 389-ds-base-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends},
  389-ds-base-libs (= ${binary:Version}),
  libldap2-dev,
@@ -96,7 +96,7 @@
  having to install the server itself.
 
 Package: 389-ds-base
-Architecture: any
+Architecture: linux-any
 Pre-Depends: debconf (>= 0.5) | debconf-2.0
 Depends: ${misc:Depends}, ${shlibs:Depends},
  389-ds-base-libs (= ${binary:Version}),
@@ -137,7 +137,7 @@
 Package: 389-ds-base-dbg
 Section: debug
 Priority: extra
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends},
  389-ds-base (= ${binary:Version}),
 Description: 389 Directory Server suite - server debugging symbols
