=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # -*- makefile -*-
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+pie
+DEB_UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([^+]+)-.*/\1/p')
 
 # Keep track of files we don't install
 NOT_INSTALLED := \
@@ -54,6 +55,9 @@
 		--with-openldap \
 		--enable-autobind
 
+override_dh_auto_install:
+	dh_auto_install --max-parallel=1
+
 override_dh_install:
 	# lets do the renaming here afterall, instead of in 389-ds-base.install
 	for file in $(REALFILE); do mv -f $(CURDIR)/debian/tmp/usr/$$file \
@@ -86,5 +90,10 @@
 override_dh_shlibdeps:
 	dh_shlibdeps -l"debian/389-ds-base/usr/lib/$(DEB_HOST_MULTIARCH)/dirsrv" -a
 
+get-orig-source:
+	# upstream wikipage is rarely updated, so uscan doesn't work
+	wget http://port389.org/sources/389-ds-base-$(DEB_UPSTREAM_VERSION).tar.bz2
+	mv 389-ds-base-$(DEB_UPSTREAM_VERSION).tar.bz2 ../389-ds-base_$(DEB_UPSTREAM_VERSION).orig.tar.bz2
+
 %:
-	dh $@ --with autoreconf --builddir build/
+	dh $@ --parallel --with autoreconf --builddir build/
