=== debian/watch ===
#git=git://git.fedorahosted.org/389/ds.git
version=3
http://port389.org/sources/389-ds-base-(.*).tar.bz2
